Uploads
Complete an upload
Creates an upload from the supplied request.
Parâmetros de caminho
upload_id
string
exigido
The ID of the Upload.
Corpo da solicitação
The request body.
part_ids
string[]
exigido
The ordered list of Part IDs.
md5
string
The optional md5 checksum for the file contents to verify if the bytes uploaded matches what you expect.
Respostas
The request has succeeded.
Corpo
id
string
exigido
The Upload unique identifier, which can be referenced in API endpoints.
created_at
integer
exigido
The Unix timestamp (in seconds) for when the Upload was created.
filename
string
exigido
The name of the file to be uploaded.
purpose
string
exigido
The intended purpose of the file. Please refer here for acceptable values.
status
enum
exigido
The status of the Upload.
expires_at
integer
exigido
The Unix timestamp (in seconds) for when the Upload will expire.
object
enum
The object type, which is always "upload".
file
OpenAI.OpenAIFile | null
The ready File object after the Upload is completed.
id
string
exigido
The file identifier, which can be referenced in the API endpoints.
bytes
integer | null
exigido
The size of the file, in bytes. In a completed file upload response, this can be null when the file size is not yet available.
created_at
integer
exigido
The Unix timestamp (in seconds) for when the file was created.
expires_at
integer
The Unix timestamp (in seconds) for when the file will expire. In a completed file upload response, this can be null when no expiry is set.
filename
string
exigido
The name of the file.
object
enum
exigido
The object type, which is always file.
purpose
enum
exigido
The intended purpose of the file. Supported values are assistants, assistants_output, batch, batch_output, fine-tune, fine-tune-results, vision, and user_data.
status
enum
exigido
Deprecated. The current status of the file, which can be either uploaded, processed, or error.
status_details
string
Deprecated. For details on why a fine-tuning training file failed validation, see the error field on fine_tuning.job. Completed file upload responses can return null when these details are unset.
Solicitar
curl https://api.openai.com/v1/uploads/upload_abc123/complete
-d '{
"part_ids": ["part_def456", "part_ghi789"]
}'
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const upload = await client.uploads.complete('upload_abc123', { part_ids: ['string'] });
console.log(upload.id);
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
upload = client.uploads.complete(
upload_id="upload_abc123",
part_ids=["string"],
)
print(upload.id)
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
upload, err := client.Uploads.Complete(
context.TODO(),
"upload_abc123",
openai.UploadCompleteParams{
PartIDs: []string{"string"},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", upload.ID)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.uploads.Upload;
import com.openai.models.uploads.UploadCompleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
UploadCompleteParams params = UploadCompleteParams.builder()
.uploadId("upload_abc123")
.addPartId("string")
.build();
Upload upload = client.uploads().complete(params);
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
upload = openai.uploads.complete("upload_abc123", part_ids: ["string"])
puts(upload)
Resposta
{
"id": "upload_abc123",
"object": "upload",
"bytes": 2147483648,
"created_at": 1719184911,
"filename": "training_examples.jsonl",
"purpose": "fine-tune",
"status": "completed",
"expires_at": 1719127296,
"file": {
"id": "file-xyz321",
"object": "file",
"bytes": 2147483648,
"created_at": 1719186911,
"expires_at": 1719127296,
"filename": "training_examples.jsonl",
"purpose": "fine-tune",
}
}